Package org.apache.solr.common.util

## Class URLUtil

- java.lang.Object
- - org.apache.solr.common.util.URLUtil

    public class URLUtil
    extends Object

### Field Summary

Fields
`static Pattern` `URL_PREFIX`

### Constructor Summary

Constructors
`URLUtil()`

### Method Summary

All Methods Static Methods Concrete Methods
`static String` `getScheme​(String url)`
`static boolean` `hasScheme​(String url)`
`static String` `removeScheme​(String url)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### URL_PREFIX

    public static final Pattern URL_PREFIX

### Constructor Detail

#### URLUtil

    public URLUtil()

### Method Detail

#### removeScheme

    public static String removeScheme​(String url)

#### hasScheme

    public static boolean hasScheme​(String url)

#### getScheme

    public static String getScheme​(String url)